### Method

# Hinoko FwIsoResource open

since: 0.7

#### Declaration [src]

    gboolean
    hinoko_fw_iso_resource_open (
      HinokoFwIsoResource* self,
      const gchar* path,
      gint open_flag,
      GError** error
    )

#### Description [src]

Open Linux FireWire character device to delegate any request for isochronous resource management to Linux FireWire subsystem.

Available since: 0.7

#### Parameters

`path`

  Type: `const gchar*`

  A path of any Linux FireWire character device.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`open_flag`

  Type: `gint`

  The flag of open(2) system call. O_RDONLY is forced to fulfil internally.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE if the overall operation finished successfully, otherwise FALSE.